#
# spec file for package azureMetaData
# this code base is under development
#
# Copyright (c) 2015 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           azuremetadata
# For compatibility, remove provides 11/11/2015
Provides:       azureMetaData
Obsoletes:      azureMetaData <= 2.0.1
Version:        4.0.1
Release:        1.17
License:        GPL-3.0+
Summary:        Collect instance metadata in Azure
URL:            http://www.github.com:SUSE/Enceladus/azuremetadata
Group:          System/Management
Source0:        %{name}-%{version}.tar.bz2
Requires:       perl
Requires:       perl-JSON
Requires:       perl-XML-LibXML
BuildRequires:  perl
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

%description
Collect instance metadada for the running instance in Azure

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendord
#INST_SCRIPT=%{buildroot}%{_sbindir}

%install
mkdir -p %{buildroot}/%{_sbindir}
%perl_make_install
# unconditional move the INST_SCRIPT setting is not reliable accross
# perl versions
mv  %{buildroot}/%{_bindir}/azuremetadata %{buildroot}/%{_sbindir}
pushd %{buildroot}/%{_sbindir}
# link retained for backward compatibility remove on or after 11/11/15
ln -s azuremetadata azureMetaData
popd
%perl_process_packlist
%if 0%{?suse_version} <= 1130
rm -rf %{buildroot}/%perl_vendorarch/*
rm %{buildroot}/var/adm/perl-modules/azuremetadata
%endif

%files
%defattr(-,root,root,-)
%doc README.md
%dir %perl_vendorlib/AzureMetadata
%{_sbindir}/azureMetaData
%{_sbindir}/azuremetadata
%perl_vendorlib/AzureMetadata/*
%changelog
* Wed Feb 15 2017 ms@suse.com
- Update to v4.0.1
  + Support multiple requests
    One could only specify 1 query data item at a time, thus it was
    not possible to ask for e.g internal and external ip in one
    call. This Fixes #71
* Mon Jul  4 2016 ms@suse.com
- Tracker changelog entry for azuremetadata update in SLE12 (bnc#986266)
  + Change instance-id param to instance-name (-I -> -n)
  + Update exit conditions/messages around usage
  + New options --cloudservice and --instance-id
  + Set the source code up to match with accepted standar Perl installation
    process
* Tue Apr  7 2015 bear454@opensuse.org
- Update to v4.0.0
  + Change instance-id param to instance-name (-I -> -n)
  + Update exit conditions/messages around usage
* Wed Mar 18 2015 rjschwei@suse.com
- Update to version 3.2.1
  + New options --cloudservice and --instance-id
  + Set the source code up to match with accepted standar Perl installation
    process
* Fri Mar 13 2015 ms@suse.com
- Fixed lib path, tool can't even be called
- Fixed IP retrieval, Instance lookup based on non static id
* Wed Mar  4 2015 rjschwei@suse.com
- Include in SLE 12 (FATE #318435, bnc#911856)
* Fri Feb 13 2015 ms@suse.com
- Update to version 3.0.0
  + refactor tool, provide modules for disk and network data
  + added support for internal/external ip discovery
  + added support for bare output to be used in scripts
* Thu Feb 12 2015 rjschwei@suse.com
- Update to version 2.0.1
  + Rename package to azuremetadata
  + Rename command to azuremetadata, the old command azureMetaData is
    retained as link for compatibility, but is deprecated
  + Update to new upstream code location
* Thu Feb 12 2015 ms@suse.com
- Read disk tag from new location (bnc#917462)
  To avoid the tag getting clobbered when GPT restors mis-matching
  partition table information the tag moves to 64K from 16K
* Wed Oct 15 2014 rschweikert@suse.com
- Initial build
